### Method

# Foundry Intent get_attribute_boolean

since: 1.1

#### Declaration [src]

    gboolean
    foundry_intent_get_attribute_boolean (
      FoundryIntent* self,
      const char* attribute
    )

#### Description [src]

Gets the attribute value as a boolean.

Available since: 1.1

#### Parameters

`attribute`

  Type: `const char*`

  The attribute name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

The boolean value, or `FALSE` if not found or not a boolean.